"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TypeToString = void 0;
const diff_util_1 = require("./diff.util");
class TypeToString {
    static link(tok, tag) {
        const title = tok.title ? ` ${tok.title}` : '';
        return diff_util_1.DiffUtil.wrapWithTag(`[${tok.text}](${tok.href}${title})`, tag);
    }
    static tableAlign(tok) {
        const res = tok.align.map((e) => {
            switch (e) {
                case 'center':
                    return ':-:';
                case 'right':
                    return '-:';
                default:
                    return '-';
            }
        });
        return `|${res.join('|')}|`;
    }
}
exports.TypeToString = TypeToString;
//# sourceMappingURL=type-to-string.js.map